> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update order settings



## OpenAPI

````yaml /api-reference/chataigne-v1.json patch /v1/locations/{location_id}/order_settings
openapi: 3.0.0
info:
  title: Chataigne API
  description: The Chataigne API — Location & Organization Management.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://api.chataigne.ai
security: []
tags: []
paths:
  /v1/locations/{location_id}/order_settings:
    patch:
      tags:
        - Location settings
      summary: Update order settings
      operationId: LocationSettingsV1Controller_patchOrderSettings
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: string
          example: loc_023d6847de544fdb9a5510db
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrderSettingsRequest'
      responses:
        '200':
          description: The updated order settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderSettings'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The principal is not allowed to perform this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    UpdateOrderSettingsRequest:
      type: object
      properties:
        auto_accept_orders:
          type: boolean
        average_preparation_time:
          type: string
          example: '00:20'
          description: HH:MM
        enable_multiple_order_per_customer:
          type: boolean
    OrderSettings:
      type: object
      properties:
        object:
          type: string
          enum:
            - order_settings
        location_id:
          type: string
        auto_accept_orders:
          type: boolean
        average_preparation_time:
          type: string
          example: '00:15'
          description: HH:MM
        enable_multiple_order_per_customer:
          type: boolean
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Location/organization API key.

````